﻿@model AuthnData.Models.Login.ResetViewModel
@{
    var error = TempData["Error"] as string;;
    var success = TempData["Success"] as string;
    var token = ViewData["token"] as string;
    ViewData["Title"] = "Changement de Mot de Passe";
}
<h1>Réinitialiser son Mot de Passe</h1>
@if(!string.IsNullOrEmpty(error))
{
    <h2 class="alert-danger" style="padding:20px;">@error</h2>
}

@if(!string.IsNullOrEmpty(success))
{
    <h2 class="alert-success" style="padding:20px;">@success</h2>
}
    <form asp-controller="Login" asp-action="Reset" method="post">
        <input type="hidden" name="token" value="@token"/>
        <input type="password" name="Password" placeholder="Nouveau mot de passe..."/>
        <input type="password" name="ConfirmPassword" placeholder="Confirmer le nouveau mot de passe..."/>
        <input type="submit" value="Réinitialiser le mot de passe"/>
    </form>

